#ifndef __CHAN_H
#define __CHAN_H

void nick_completion_fill_nicks(GCompletion *comp, GtkCList *clist);
char *nick_comp_func(void *data);
char *nick_completion(char *ptr, GtkCList *clist);
void autojoin_handle();
FILE *open_autojoin(char *flags);
void append_autojoin_entry(char *chan);
void remove_autojoin_entry(char *chan);
void autojoin_add();
void autojoin_remove();
void populate_autojoin_clist();
void list_chan_dlg_clist_cb(GtkWidget *widget, GdkEventButton *event, gpointer data);
void list_chan_dlg_cb(GtkWidget *w, void *data);
void list_chan_cb(GtkWidget *w, gpointer data);
void join_chan_cb(GtkWidget *w, gpointer data);
void part_chan_cb(GtkWidget *w, gpointer data);
int chan_lookup(char *chan);
GtkCList *chan_lookup_clist(char *chan);
char *chan_lookup_chan(int index);

#endif /* __CHAN_H */
