#ifndef __CALLBACKS_H
#define __CALLBACKS_H

void gnapster_exit_cb();
void refresh_dlg_cb(GtkWidget *, void *);
void already_connected(NAP_SERVER *);
void connect_last_cb();
void already_connected_cb(int, gpointer);
//int remote_queue_check(gpointer);
//void queue_check();
//void add_queue();
//void handle_download(NAP_DOWNLOAD *, unsigned int);
//void append_server_entry(char *, char *, char *);
//int check_server_match(char *, char *);
//void resume_dlg_clist_cb();
//void resume_dlg_cb(GtkWidget *, void *);
//void resume_download_cb();
//void populate_resume_dlg();
void update_shares_cb();
//FILE *open_servers(int);
//void add_dlg_cb(GtkWidget *, char *);
//void edit_dlg_cb(GtkWidget *, NAP_SERVER *);
//void browse_dlg_connect_cb();
//void browse_dlg_cancel_cb();
//void browse_dlg_add();
//void browse_dlg_edit();
//void browse_dlg_delete();
//void browse_dlg_button_cb();
//void browse_dlg_refresh(GtkWidget *, char *);
//void populate_browse_dlg_clist();
//void browse_opennap_cb();
void connect_official_cb();
void switch_page_cb(GtkWidget *, GtkNotebookPage *, int, gpointer);
void build_list_cb();
void update_list_cb();
//void list_chan_dlg_clist_cb();
//void list_chan_dlg_cb(GtkWidget *, void *);
//void list_chan_cb(GtkWidget *, gpointer);
//void join_chan_cb(GtkWidget *, gpointer);
//void part_chan_cb(GtkWidget *, gpointer);
void query_user_cb(GtkWidget *, gpointer);
void unquery_user_cb(GtkWidget *, gpointer);
void menu_popup_cb();
void console_activate_cb();
int console_keypress_cb();
NAP_SEARCH *get_data(const void *);
NAP_USER *get_user_data(const void *);
int compare_chan_user(GtkCList *, const void *, const void *);
int compare_chan_conn(GtkCList *, const void *, const void *);
int compare_chan_shares(GtkCList *, const void *, const void *);
void channel_sort(GtkCList *, int);
int compare_file(GtkCList *, const void *, const void *);
int compare_user(GtkCList *, const void *, const void *);
int compare_size(GtkCList *, const void *, const void *);
int compare_length(GtkCList *, const void *, const void *);
int compare_bitrate(GtkCList *, const void *, const void *);
int compare_connection(GtkCList *, const void *, const void *);
void search_sort(GtkCList *, int);
void search_activate_cb();
void browse_user_menu(GtkWidget *);
void browse_user_menu_cb(GtkWidget *, gpointer);
void browse_user_cb();
void whois_user_menu_cb(GtkWidget *, gpointer);
void connect_cb();
void disconnect_cb();
//void force_queue_cb(GtkWidget *, gpointer);
void search_download_cb(GtkWidget *, gpointer);
void browse_download_cb(GtkWidget *, gpointer);
//void download_true_cb(GtkWidget *, gpointer);
void search_queue_cb(GtkWidget *, gpointer);
void browse_queue_cb(GtkWidget *, gpointer);
void queue_true_cb(GtkWidget *, gpointer);
void start_queue_cb();
void stop_queue_cb();
void cancel_upload_cb();
//void cancel_download_cb();
//void cancel_remove_cb();
//void cancel_queue_cb();
char *listint_to_str(int, int);
int liststr_to_int(char *);
void combo_changed(GtkWidget *, gpointer);
void preferences_changed_cb();
void preferences_button_cb(GtkWidget *, gint, gpointer);
void clicked_cb(GtkWidget *, int *);
void preferences_clicked_cb(GtkWidget *, int *);
void preferences_cb();
void build_dlg_cancel_cb();
void about_cb();

#endif /* __CALLBACKS_H */
