#ifndef __SERVERS_H
#define __SERVERS_H

void browse_opennap_cb();
void browse_dlg_connect_cb(GtkWidget *w, void *data);
void browse_dlg_cancel_cb();
void browse_dlg_add();
void browse_dlg_edit();
void browse_dlg_delete(GtkWidget *w, int *data);
void populate_browse_dlg_clist();
void browse_dlg_button_cb(GtkWidget *widget, GdkEventButton *event, gpointer data);
void browse_dlg_refresh(GtkWidget *w, char *data);
void refresh_dlg_cb(GtkWidget *w, void *data);
void add_dlg_cb(GtkWidget *w, char *data);
void edit_dlg_cb(GtkWidget *w, NAP_SERVER *data);
FILE *open_servers(char *flags);
void modify_server_entry(char *oip, unsigned short int oport, char *ip, char *port, char *title);
void append_server_entry(char *ip, char *port, char *server);
int check_server_match(char *ip, char *port);

#endif /* __SERVERS_H */
